Package net.shibboleth.idp.authn.context

# Class LDAPResponseContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.authn.context.LDAPResponseContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class LDAPResponseContext extends BaseContext
A context containing data about an LDAP authentication operation.

Parent:
  `AuthenticationContext`
Added:
  After an LDAP authentication attempt

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private AuthenticationResponse`
`authenticationResponse`
Authentication response.

## Constructor Summary

Constructors
Constructor
Description
`LDAPResponseContext()`

## Method Summary

Modifier and Type
Method
Description
`AuthenticationResponse`
`getAuthenticationResponse()`
Get the LDAP authentication response.
`boolean`
`hasAccountStateError()`
Check for the presence of account state errors.
`boolean`
`hasAccountStateWarning()`
Check for the presence of account state warnings.
`LDAPResponseContext`
`setAuthenticationResponse(AuthenticationResponse response)`
Set the LDAP authentication response.
`String`
`toString()`

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### authenticationResponse

@Nullable private AuthenticationResponse authenticationResponse
Authentication response.

## Constructor Details

### LDAPResponseContext

public LDAPResponseContext()

## Method Details

### getAuthenticationResponse

@Nullable public AuthenticationResponse getAuthenticationResponse()
Get the LDAP authentication response.

Returns:
  LDAP authentication response

### setAuthenticationResponse

@Nonnull public LDAPResponseContext setAuthenticationResponse(@Nullable AuthenticationResponse response)
Set the LDAP authentication response.

Parameters:
  `response` - of an LDAP authentication
Returns:
  this context

### hasAccountStateWarning

public boolean hasAccountStateWarning()
Check for the presence of account state warnings.

Returns:
  true if account state warnings exist

### hasAccountStateError

public boolean hasAccountStateError()
Check for the presence of account state errors.

Returns:
  true if account state errors exist

### toString

public String toString()

Overrides:
  `toString` in class `Object`